Package org.eclipse.jdt.ui

## Class CodeStyleConfiguration

- java.lang.Object
- - org.eclipse.jdt.ui.CodeStyleConfiguration

    public class CodeStyleConfiguration
    extends Object

Gives access to the import rewrite configured with the settings as specified in the user interface. These settings are kept in JDT UI for compatibility reasons.

This class is not intended to be subclassed or instantiated by clients.

Since:
  3.2
Restriction:
  This class is not intended to be subclassed by clients.
Restriction:
  This class is not intended to be instantiated by clients.

### Method Summary

All Methods Static Methods Concrete Methods
`static ImportRewrite` `createImportRewrite​(CompilationUnit astRoot, boolean restoreExistingImports)` Returns a `ImportRewrite` using `ImportRewrite.create(CompilationUnit, boolean)` and configures the rewriter with the settings as specified in the JDT UI preferences.
`static ImportRewrite` `createImportRewrite​(ICompilationUnit cu, boolean restoreExistingImports)` Returns a `ImportRewrite` using `ImportRewrite.create(ICompilationUnit, boolean)` and configures the rewriter with the settings as specified in the JDT UI preferences.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### createImportRewrite

    public static ImportRewrite createImportRewrite​(ICompilationUnit cu,
                                                    boolean restoreExistingImports)
                                             throws JavaModelException

Returns a `ImportRewrite` using `ImportRewrite.create(ICompilationUnit, boolean)` and configures the rewriter with the settings as specified in the JDT UI preferences.

Parameters:
  `cu` - the compilation unit to create the rewriter on
  `restoreExistingImports` - specifies if the existing imports should be kept or removed.
Returns:
  the new rewriter configured with the settings as specified in the JDT UI preferences.
Throws:
  `JavaModelException` - thrown when the compilation unit could not be accessed.
See Also:
  `ImportRewrite.create(ICompilationUnit, boolean)`

#### createImportRewrite

    public static ImportRewrite createImportRewrite​(CompilationUnit astRoot,
                                                    boolean restoreExistingImports)

Returns a `ImportRewrite` using `ImportRewrite.create(CompilationUnit, boolean)` and configures the rewriter with the settings as specified in the JDT UI preferences.

Parameters:
  `astRoot` - the AST root to create the rewriter on
  `restoreExistingImports` - specifies if the existing imports should be kept or removed.
Returns:
  the new rewriter configured with the settings as specified in the JDT UI preferences.
See Also:
  `ImportRewrite.create(CompilationUnit, boolean)`